## wiimap 12.07.2-extras12.04.1

=== debian/changelog ===
wiimap (12.07.2-extras12.04.1) precise; urgency=low

  * Initial release.

 -- Nathan Seal <nathan@nathanseal.com>  Mon, 09 Jul 2012 17:16:43 +1000
