=== debian/control ===
Source: wiimap
Section: python
Priority: extra
Build-Depends: debhelper (>= 8),
 libglib2.0-bin, python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Nathan Seal <nathan@nathanseal.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: wiimap
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-glib-2.0,
 python-xlib,
 gir1.2-gtk-3.0,
 gir1.2-launchpad-integration-3.0,
 python-cwiid,
 yelp
Description: Input mapper for wii remotes
 Wiimap is a simple GUI for mapping wii remote input to keyboards and mice.
