=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/wiimap                 --install-data=/opt/extras.ubuntu.com/wiimap                 --install-lib=/opt/extras.ubuntu.com/wiimap

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/wiimap


override_dh_install:
	dh_install
	mkdir -p debian/wiimap/opt/extras.ubuntu.com/wiimap/bin
	if [ -x debian/wiimap/opt/extras.ubuntu.com/wiimap/wiimap/wiimap ]; then mv debian/wiimap/opt/extras.ubuntu.com/wiimap/wiimap/wiimap debian/wiimap/opt/extras.ubuntu.com/wiimap/bin; fi
	if [ -f debian/wiimap/opt/extras.ubuntu.com/wiimap/share/applications/wiimap.desktop ]; then \
		mkdir -p debian/wiimap/usr/share/applications; \
		mv debian/wiimap/opt/extras.ubuntu.com/wiimap/share/applications/wiimap.desktop debian/wiimap/usr/share/applications/extras-wiimap.desktop; \
		rmdir --ignore-fail-on-non-empty debian/wiimap/opt/extras.ubuntu.com/wiimap/share/applications; \
		sed -i 's|Exec=.*|Exec=/opt/extras.ubuntu.com/wiimap/bin/wiimap|' debian/wiimap/usr/share/applications/extras-wiimap.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/wiimap/|' debian/wiimap/usr/share/applications/extras-wiimap.desktop; \
	fi
	grep -RlZ 'import gettext' debian/wiimap/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/wiimap/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('wiimap')" debian/wiimap/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('wiimap')\)|locale\.bindtextdomain('wiimap', '/opt/extras.ubuntu.com/wiimap/share/locale')\nlocale\1|" 
	sed -i "s|__wiimap_data_directory__ =.*|__wiimap_data_directory__ = '/opt/extras.ubuntu.com/wiimap/share/wiimap/'|" debian/wiimap/opt/extras.ubuntu.com/wiimap/wiimap*/wiimapconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/wiimap/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/wiimap/opt/extras.ubuntu.com/wiimap/bin/wiimap
	if [ -d debian/wiimap/opt/extras.ubuntu.com/wiimap/share/glib-2.0/schemas ]; then glib-compile-schemas debian/wiimap/opt/extras.ubuntu.com/wiimap/share/glib-2.0/schemas; fi
